# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockWidgetHeaderDrag Class Reference

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetHeaderDrag:

[legend]
Collaboration diagram for KDockWidgetHeaderDrag:

[legend]
List of all members.

## Public Member Functions

| KDockWidgetHeaderDrag (KDockWidgetAbstractHeader *parent, KDockWidget *dock, const char *name=0L)
virtual | ~KDockWidgetHeaderDrag ()

## Protected Member Functions

virtual void | paintEvent (QPaintEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set).

The widget for dragging, so to speak. Usually it is located in the KDockWidgetHeader. More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 197 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetHeaderDrag::KDockWidgetHeaderDrag | ( | KDockWidgetAbstractHeader * | parent,
|  | KDockWidget * | dock,
|  | const char * | name = `0L`
| ) |

Constructs this.

Parameters:

  | parent | the parent widget (usually a dockwidget header)
  | dock | the dockwidget where it belongs to
  | name | the object instance name

Definition at line 195 of file kdockwidget.cpp.

virtual KDockWidgetHeaderDrag::~KDockWidgetHeaderDrag | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 215 of file kdockwidget.h.

## Member Function Documentation

void KDockWidgetHeaderDrag::paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

| Draws the drag panel (a double line). Reimplemented from QFrame. Definition at line 200 of file kdockwidget.cpp. References QPainter::begin(), and QPainter::end().

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003